Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hslf.model.textproperties
Class ParagraphFlagsTextProp

    java.lang.Object
      org.apache.poi.hslf.model.textproperties.TextProp
          org.apache.poi.hslf.model.textproperties.BitMaskTextProp
              org.apache.poi.hslf.model.textproperties.ParagraphFlagsTextProp

All Implemented Interfaces:
  java.lang.Cloneable

    public final class ParagraphFlagsTextProp

extends BitMaskTextProp

Definition for the common paragraph text property bitset.

Author:
  Yegor Kozlov

Field Summary
`static int` | `BULLET_HARDCOLOR_IDX`
`static int` | `BULLET_HARDFONT_IDX`
`static int` | `BULLET_HARDSIZE_IDX`
`static int` | `BULLET_IDX`
`static java.lang.String` | `NAME`

Fields inherited from class org.apache.poi.hslf.model.textproperties.TextProp
`dataValue, maskInHeader, propName, sizeOfDataBlock`

Constructor Summary
`ParagraphFlagsTextProp()`

Method Summary

Methods inherited from class org.apache.poi.hslf.model.textproperties.BitMaskTextProp
`clone, getSubPropMatches, getSubPropNames, getSubValue, getWriteMask, setSubValue, setValue`

Methods inherited from class org.apache.poi.hslf.model.textproperties.TextProp
`getMask, getName, getSize, getValue`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BULLET_IDX

    public static final int BULLET_IDX

See Also:
  Constant Field Values

### BULLET_HARDFONT_IDX

    public static final int BULLET_HARDFONT_IDX

See Also:
  Constant Field Values

### BULLET_HARDCOLOR_IDX

    public static final int BULLET_HARDCOLOR_IDX

See Also:
  Constant Field Values

### BULLET_HARDSIZE_IDX

    public static final int BULLET_HARDSIZE_IDX

See Also:
  Constant Field Values

### NAME

    public static java.lang.String NAME

Constructor Detail

### ParagraphFlagsTextProp

    public ParagraphFlagsTextProp()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.